%define	major 11
%define	util_major 2
%define	protocol_major 0
%define	hashkit_major 2
%define libname %mklibname memcached %{major}
%define util_libname %mklibname memcachedutil %{util_major}
%define protocol_libname %mklibname memcachedprotocol %{protocol_major}
%define hashkit_libname %mklibname memcachedhashkit %{hashkit_major}
%define develname %mklibname memcached -d
%define _legacy_common_support 1

Summary:	A memcached C library and command line tools
Name:		libmemcached
Version:	1.0.18
Release:	%mkrel 8
Group:		System/Libraries
License:	BSD
URL:		http://libmemcached.org/
# Original sources:
#   http://launchpad.net/libmemcached/1.0/%%{version}/+download/libmemcached-%%{version}.tar.gz
# The source tarball must be repackaged to remove the Hsieh hash
# code, since the license is non-free.  When upgrading, download the new
# source tarball, and run "./strip-hsieh.sh <version>" to produce the
# "-exhsieh" tarball.
Source0:   %{name}-%{version}-exhsieh.tar.gz
Patch0:	   libmemcached-fix-linking-with-libpthread.patch
Patch1:    libmemcached-1.0.18-gcc7.patch
BuildRequires:	memcached
BuildRequires:	pkgconfig(libevent)
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(libsasl2)
BuildRequires:	pkgconfig(uuid)

%description
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide full
access to server side methods. It also implements several command line tools:

memcapable - Check memcached server capabilites
memcat - Copy the value of a key to standard output
memcp - Copy a set of files to a memcached cluster
memdump - Dump all values from one or many servers
memerror - Translate a memcached errror code into a string
memflush - Flush the contents of your servers
memrm - Remove a key(s) from the serrver
memslap - Generate testing loads on a memcached cluster
memstat - Dump the stats of your servers to standard output
memstat - Output the state of a memcached cluster

%package -n	%{libname}
Summary:	A memcached C library
Group:          System/Libraries

%description -n	%{libname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

%package -n	%{util_libname}
Summary:	A memcached C library
Group:          System/Libraries

%description -n	%{util_libname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

%package -n	%{protocol_libname}
Summary:	A memcached C library
Group:          System/Libraries

%description -n	%{protocol_libname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

%package -n	%{hashkit_libname}
Summary:	A memcached C library
Group:          System/Libraries

%description -n	%{hashkit_libname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

%package -n	%{develname}
Summary:	Static library and header files for the libmemcached library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{util_libname} = %{version}-%{release}
Requires:	%{protocol_libname} = %{version}-%{release}
Requires:	%{hashkit_libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libmemcached-devel = %{version}-%{release}
Conflicts:	%{_lib}memcached9 < 1.0.5
Conflicts:	%{_lib}memcached6 < 0.45
Conflicts:	%{_lib}memcachedutil2 < 1.0.5
Conflicts:	%{_lib}memcachedutil1 < 0.45

%description -n	%{develname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

This package contains the static libmemcached library and its header files.

%prep
%autosetup -p1

%build
autoreconf -fi

export CFLAGS="%{optflags} -std=gnu99"
%configure \
    --disable-static \
    --enable-shared \
    --enable-libmemcachedprotocol \
    --enable-memaslap \
    --with-memcached=%{_bindir}/memcached

%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/*.so.%{major}{,.*}

%files -n %{util_libname}
%{_libdir}/libmemcachedutil.so.%{util_major}{,.*}

%files -n %{protocol_libname}
%{_libdir}/libmemcachedprotocol.so.%{protocol_major}{,.*}

%files -n %{hashkit_libname}
%{_libdir}/libhashkit.so.%{hashkit_major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*
%{_datadir}/aclocal/ax_libmemcached.m4


%changelog
* Tue Aug 04 2020 joequant <joequant> 1.0.18-8.mga8
+ Revision: 1611010
- redo deps

* Sun Mar 01 2020 daviddavid <daviddavid> 1.0.18-7.mga8
+ Revision: 1552593
- rebuild for new libevent 2.1.11

* Thu Feb 13 2020 umeabot <umeabot> 1.0.18-6.mga8
+ Revision: 1514227
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.18-5.mga7
+ Revision: 1298990
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_install

* Thu Oct 05 2017 cjw <cjw> 1.0.18-4.mga7
+ Revision: 1169021
- patch1: fix build with gcc 7

* Thu Feb 16 2017 mrambo3501 <mrambo3501> 1.0.18-3.mga6
+ Revision: 1086489
- rebuild for libevent 2.1.8

* Tue Feb 02 2016 luigiwalser <luigiwalser> 1.0.18-2.mga6
+ Revision: 931889
- try fedora linking patch to avoid autofoo regeneration
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ neoclust <neoclust>
- New version 1.0.18

* Wed Oct 15 2014 umeabot <umeabot> 1.0.17-6.mga5
+ Revision: 745083
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.17-5.mga5
+ Revision: 726748
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.17-4.mga5
+ Revision: 681600
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.17-3.mga4
+ Revision: 533218
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 luigiwalser <luigiwalser> 1.0.17-2.mga4
+ Revision: 472077
- rebuild for cyrus-sasl

* Mon Jun 24 2013 fwang <fwang> 1.0.17-1.mga4
+ Revision: 446124
- rediff link patch
- fix build with latest memcached path
- new version 1.0.15

* Sat Jan 12 2013 umeabot <umeabot> 1.0.15-2.mga3
+ Revision: 357747
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 19 2012 fwang <fwang> 1.0.15-1.mga3
+ Revision: 332774
- update file list
- update file list
- linkage fix
- build protocol
- more linkage fix
- new version 1.0.15

* Fri Oct 12 2012 fwang <fwang> 1.0.12-1.mga3
+ Revision: 304816
- update file list
- update file list
- update file list
- new version 1.0.12

* Fri Sep 21 2012 fwang <fwang> 1.0.11-2.mga3
+ Revision: 296490
- add br on libuuid

* Fri Sep 21 2012 fwang <fwang> 1.0.11-1.mga3
+ Revision: 296480
- drop Werror flag
- new version 1.0.11

* Sun Sep 02 2012 fwang <fwang> 1.0.10-1.mga3
+ Revision: 287190
- update libmajor and file list
- more linkage fix
- use cxxflags
- build with c99
- pthread fixes
- new version 1.0.10
- new version 1.0.9
- rediff link patch
- new version 1.0.8

* Sat Jan 28 2012 fwang <fwang> 1.0.4-1.mga2
+ Revision: 202423
- new version 1.0.4

* Tue Jan 10 2012 fwang <fwang> 1.0.3-1.mga2
+ Revision: 194527
- update libmajor
- correct link fix
- rediff link.patch
- new version 1.0.3

* Thu Oct 27 2011 fwang <fwang> 1.0.2-1.mga2
+ Revision: 158565
- fix linkage
- fix build
- new version 1.0.2
- new version 0.53
- more fix
- more fix
- more build fix
- fix test build
- new version 0.51

* Sun Jul 17 2011 fwang <fwang> 0.50-1.mga2
+ Revision: 125207
- new version 0.50

* Sun Feb 06 2011 spuhler <spuhler> 0.44-1.mga1
+ Revision: 47618
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package libmemcached

